Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.txoj.lockstore
Class LockStoreImple

    java.lang.Object
      com.arjuna.ats.txoj.lockstore.LockStoreImple

public abstract class LockStoreImple
extends java.lang.Object

Implementations of lock stores should derive from this abstract class and provide implementations of the appropriate methods.

Since:
  JTS 1.0.
Version:
  $Id: LockStoreImple.html,v 1.1 2008/01/04 06:52:42 afitzsim Exp $
Author:
  Mark Little (mark@arjuna.com)

Constructor Summary
`LockStoreImple()`

Method Summary
`ClassName` | `className()`
`static ClassName` | `name()`
`abstract InputObjectState` | `read_state(Uid u, java.lang.String tName)` Read a state from the lock store.
`abstract boolean` | `remove_state(Uid u, java.lang.String tname)` Remove the state from the lock store.
`abstract boolean` | `write_committed(Uid u, java.lang.String tName, OutputObjectState state)` Write the state to the lock store.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LockStoreImple

    public LockStoreImple()

Method Detail

### read_state

    public abstract InputObjectState read_state(Uid u,
                                                java.lang.String tName)
                                         throws LockStoreException

  Read a state from the lock store.

  Throws:
    `LockStoreException`

### remove_state

    public abstract boolean remove_state(Uid u,
                                         java.lang.String tname)

  Remove the state from the lock store.

### write_committed

    public abstract boolean write_committed(Uid u,
                                            java.lang.String tName,
                                            OutputObjectState state)

  Write the state to the lock store.

### className

    public ClassName className()

### name

    public static ClassName name()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD